Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
CoinSet Class Reference

Very simple class for containing data on set. More...

`#include <CoinMpsIO.hpp>`

Inheritance diagram for CoinSet:
[legend]

## Public Member Functions
Constructor and destructor
| CoinSet ()
| Default constructor. More...
| CoinSet (int numberEntries, const int *which)
| Constructor. More...
| CoinSet (const CoinSet &)
| Copy constructor. More...
CoinSet & | operator= (const CoinSet &rhs)
| Assignment operator. More...
virtual | ~CoinSet ()
| Destructor. More...
gets
int | numberEntries () const
| Returns number of entries. More...
void | setNumberEntries (int number)
| Sets number of entries. More...
int | setType () const
| Returns type of set - 1 =SOS1, 2 =SOS2. More...
void | setSetType (int type)
| Sets type of set - 1 =SOS1, 2 =SOS2. More...
const int * | which () const
| Returns list of variables. More...
const double * | weights () const
| Returns weights. More...
int * | modifiableWhich () const
| Returns modifiable list of variables. More...
double * | modifiableWeights () const
| Returns modifiable weights. More...

## Protected Attributes
data
int | numberEntries_
| Number of entries. More...
int | setType_
| type of set More...
int * | which_
| Which variables are in set. More...
double * | weights_
| Weights. More...

## Detailed Description

Very simple class for containing data on set.

Definition at line 269 of file CoinMpsIO.hpp.

## Constructor & Destructor Documentation

CoinSet::CoinSet | ( |  | ) |

Default constructor.

CoinSet::CoinSet | ( | int | numberEntries,
|  | const int * | which
| ) |  |

Constructor.

CoinSet::CoinSet | ( | const CoinSet & |  | ) |

Copy constructor.

virtual CoinSet::~CoinSet | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

CoinSet& CoinSet::operator= | ( | const CoinSet & | rhs | ) |

Assignment operator.

int CoinSet::numberEntries | ( |  | ) | const
| inline

Returns number of entries.

Definition at line 292 of file CoinMpsIO.hpp.

void CoinSet::setNumberEntries | ( | int | number | ) |
| inline

Sets number of entries.

Definition at line 297 of file CoinMpsIO.hpp.

int CoinSet::setType | ( |  | ) | const
| inline

Returns type of set - 1 =SOS1, 2 =SOS2.

Definition at line 302 of file CoinMpsIO.hpp.

void CoinSet::setSetType | ( | int | type | ) |
| inline

Sets type of set - 1 =SOS1, 2 =SOS2.

Definition at line 307 of file CoinMpsIO.hpp.

const int* CoinSet::which | ( |  | ) | const
| inline

Returns list of variables.

Definition at line 312 of file CoinMpsIO.hpp.

const double* CoinSet::weights | ( |  | ) | const
| inline

Returns weights.

Definition at line 317 of file CoinMpsIO.hpp.

int* CoinSet::modifiableWhich | ( |  | ) | const
| inline

Returns modifiable list of variables.

Definition at line 322 of file CoinMpsIO.hpp.

double* CoinSet::modifiableWeights | ( |  | ) | const
| inline

Returns modifiable weights.

Definition at line 327 of file CoinMpsIO.hpp.

## Member Data Documentation

int CoinSet::numberEntries_
| protected

Number of entries.

Definition at line 349 of file CoinMpsIO.hpp.

int CoinSet::setType_
| protected

type of set

Definition at line 351 of file CoinMpsIO.hpp.

int* CoinSet::which_
| protected

Which variables are in set.

Definition at line 353 of file CoinMpsIO.hpp.

double* CoinSet::weights_
| protected

Weights.

Definition at line 355 of file CoinMpsIO.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/CoinUtils/src/CoinMpsIO.hpp